summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJason St. John <jstjohn@purdue.edu>2013-11-15 05:06:24 +0100
committerAllan McRae <allan@archlinux.org>2013-12-15 11:09:37 +0100
commit9749fb033c8794e8ac4b931678659aa2b79ae1b1 (patch)
tree471e00ba3b510d323d8358b3054dbc90fda13e76
parentae2c9bba5a0de58454814c5fa438cf1db52707ae (diff)
downloadpacman-9749fb033c8794e8ac4b931678659aa2b79ae1b1.tar.gz
pacman-9749fb033c8794e8ac4b931678659aa2b79ae1b1.tar.xz
Fix misspellings and some grammar issues in output of some pacman contrib scripts
Affected files: -- contrib/bacman.sh.in -- contrib/paccache.sh.in -- contrib/pacdiff.sh.in -- contrib/rankmirrors.sh.in Signed-off-by: Jason St. John <jstjohn@purdue.edu> Signed-off-by: Allan McRae <allan@archlinux.org>
-rw-r--r--contrib/bacman.sh.in4
-rw-r--r--contrib/paccache.sh.in4
-rw-r--r--contrib/pacdiff.sh.in10
-rw-r--r--contrib/rankmirrors.sh.in41
4 files changed, 38 insertions, 21 deletions
diff --git a/contrib/bacman.sh.in b/contrib/bacman.sh.in
index a20c5e7e..222b0f89 100644
--- a/contrib/bacman.sh.in
+++ b/contrib/bacman.sh.in
@@ -210,8 +210,8 @@ while read i; do
# Workaround to bsdtar not reporting a missing file as an error
if ! [[ -e $package_file || -L $package_file ]]; then
error "unable to add $local_file to the package"
- plain " If your user does not have permission to read this file then"
- plain " you will need to run $myname as root"
+ plain " If your user does not have permission to read this file, then"
+ plain " you will need to run $myname as root."
rm -rf "$work_dir"
exit 1
fi
diff --git a/contrib/paccache.sh.in b/contrib/paccache.sh.in
index 885193f1..7c844bb7 100644
--- a/contrib/paccache.sh.in
+++ b/contrib/paccache.sh.in
@@ -147,7 +147,7 @@ summarize() {
fi
printf '\n' >&2
- msg "$output (diskspace saved: %s)" "$(size_to_human "$totalsaved")"
+ msg "$output (disk space saved: %s)" "$(size_to_human "$totalsaved")"
}
usage() {
@@ -269,7 +269,7 @@ esac
die "cachedir '%s' does not exist or is not a directory" "$cachedir"
[[ $movedir && ! -d $movedir ]] &&
- die "move-to directory '%s' does not exist or is not a directory" "$movedir"
+ die "destination directory '%s' does not exist or is not a directory" "$movedir"
if (( move || delete )); then
# make it an absolute path since we're about to chdir
diff --git a/contrib/pacdiff.sh.in b/contrib/pacdiff.sh.in
index 735b2f55..cd5160c8 100644
--- a/contrib/pacdiff.sh.in
+++ b/contrib/pacdiff.sh.in
@@ -39,7 +39,7 @@ A simple program to merge or remove pacnew/pacorig/pacsave files.
Usage: $myname [-l | -f | -p] [--nocolor]
-Search Options: select one, default: pacmandb
+Search Options: select one (default: --pacmandb)
-l/--locate scan using locate
-f/--find scan using find
-p/--pacmandb scan active config files from pacman database
@@ -73,7 +73,7 @@ print_existing_pacsave(){
for f in "${1}"?(.+([0-9])); do
[[ -f $f ]] && printf '%s\0' "$f"
done
-}
+}
cmd() {
if (( USE_LOCATE )); then
@@ -94,7 +94,7 @@ cmd() {
fi
}
-while [[ -n "$1" ]]; do
+while [[ -n "$1" ]]; do
case "$1" in
-l|--locate)
USE_LOCATE=1;;
@@ -138,7 +138,7 @@ if (( USE_PACDB )); then
eval $(awk '/DBPath/ {print $1$2$3}' @sysconfdir@/pacman.conf)
pac_db="${DBPath:-@localstatedir@/lib/pacman/}local"
if [[ ! -d "${pac_db}" ]]; then
- error "unable to read pacman db %s". "${pac_db}"
+ error "unable to read pacman database %s". "${pac_db}"
usage; exit 1
fi
fi
@@ -147,7 +147,7 @@ fi
while IFS= read -u 3 -r -d '' pacfile; do
file="${pacfile%.pac*}"
file_type="pac${pacfile##*.pac}"
-
+
if (( OUTPUTONLY )); then
echo "$pacfile"
continue
diff --git a/contrib/rankmirrors.sh.in b/contrib/rankmirrors.sh.in
index 0c4c7345..453ebfbe 100644
--- a/contrib/rankmirrors.sh.in
+++ b/contrib/rankmirrors.sh.in
@@ -130,8 +130,15 @@ while [[ $1 ]]; do
version) version ;;
times) TIMESONLY=1 ; shift ;;
verbose) VERBOSE=1 ; shift ;;
- url) CHECKURL=1; [[ $2 ]] || err "Must specify url."; URL="$2"; shift 2;;
- repo) [[ $2 ]] || err "Must specify repo name."; TARGETREPO="$2"; shift 2;;
+ url)
+ CHECKURL=1;
+ [[ $2 ]] || err "Must specify URL.";
+ URL="$2";
+ shift 2;;
+ repo)
+ [[ $2 ]] || err "Must specify repository name.";
+ TARGETREPO="$2";
+ shift 2;;
*) err "'$1' is an invalid argument."
esac
elif [[ ${1:0:1} = - ]]; then
@@ -148,9 +155,19 @@ while [[ $1 ]]; do
h) usage ;;
t) TIMESONLY=1 ;;
v) VERBOSE=1 ;;
- u) CHECKURL=1; [[ $2 ]] || err "Must specify url."; URL="$2"; snum=2;;
- r) [[ $2 ]] || err "Must specify repo name."; TARGETREPO="$2"; snum=2;;
- n) [[ $2 ]] || err "Must specify number." ; NUM="$2" ; snum=2;;
+ u)
+ CHECKURL=1;
+ [[ $2 ]] || err "Must specify URL.";
+ URL="$2";
+ snum=2;;
+ r)
+ [[ $2 ]] || err "Must specify repository name.";
+ TARGETREPO="$2";
+ snum=2;;
+ n)
+ [[ $2 ]] || err "Must specify number.";
+ NUM="$2";
+ snum=2;;
*) err "'$1' is an invalid argument." ;;
esac
done
@@ -168,22 +185,22 @@ done
# Some sanity checks
[[ $NUM ]] || NUM=0
-[[ $FILE && $CHECKURL ]] && err "Cannot specify a url and mirrorfile."
-[[ $FILE || $CHECKURL || $STDIN ]] || err "Must specify url, mirrorfile, or stdin."
+[[ $FILE && $CHECKURL ]] && err "Cannot specify a URL and mirrorfile."
+[[ $FILE || $CHECKURL || $STDIN ]] || err "Must specify URL, mirrorfile, or stdin."
-# Single url handling
+# Single URL handling
if [[ $CHECKURL ]]; then
url="$(getfetchurl "$URL")"
- [[ $url = fail ]] && err "url '$URL' is malformed."
+ [[ $url = fail ]] && err "URL '$URL' is malformed."
[[ $VERBOSE ]] && echo "Testing $url..."
time=$(gettime "$url")
echo "$URL : $time"
exit 0
fi
-# Get url results from mirrorfile, fill up the array, and so on
+# Get URL results from mirrorfile, fill up the array, and so on
if [[ $TIMESONLY ]]; then
- echo "Querying servers, this may take some time..."
+ echo "Querying servers. This may take some time..."
elif [[ $FILE ]]; then
echo "# Server list generated by rankmirrors on $(date +%Y-%m-%d)"
fi
@@ -198,7 +215,7 @@ for line in "${linearray[@]}"; do
server="${line#*= }"
server="${server%%#*}"
url="$(getfetchurl "$server")"
- [[ $url = fail ]] && err "url '$URL' is malformed."
+ [[ $url = fail ]] && err "URL '$URL' is malformed."
time=$(gettime "$url")
timesarray+=("$time $server")